#
# spec file for package python-zope.security
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.security
Version:        4.1.1
Release:        lp151.2.5
Summary:        Zope Security Framework
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/zope.security
Source0:        https://files.pythonhosted.org/packages/source/z/zope.security/zope.security-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.interface}
BuildRequires:  %{python_module zope.proxy-devel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytz
Requires:       python-zope.component
Requires:       python-zope.configuration
Requires:       python-zope.i18nmessageid
Requires:       python-zope.interface
Requires:       python-zope.location
Requires:       python-zope.proxy >= 4.1.0
Requires:       python-zope.schema
%python_subpackages

%description
The Security framework provides a generic mechanism to implement security
policies on Python objects.

%prep
%setup -q -n zope.security-%{version}
rm -rf *.egg-info

%build
%{_python_use_flavor python2}
sed -e '1c#! %{_bindir}/python2' -i src/zope/security/setup.py
%python2_build
%{_python_use_flavor python3}
sed -e '1c#! %{_bindir}/python3' -i src/zope/security/setup.py
%python3_build

%install
%python_install
%{python_expand chmod 755 %{buildroot}%{$python_sitearch}/zope/security/setup.py
  rm -f %{buildroot}%{$python_sitearch}/zope/security/*.c
  %fdupes -s %{buildroot}%{$python_sitearch}
}

%files %{python_files}
%defattr(-,root,root)
%doc
%{python_sitearch}/*

%changelog
* Sun Jul 16 2017 aloisio@gmx.com
- Update to version 4.1.1
  * Fix issue 23: iteration of collections.OrderedDict and its
    various views is now allowed by default on all versions of
    Python.
  * As a further fix for issue 20, iteration of BTree itself is
    now allowed by default.
  4.1.0:
  * When testing PURE_PYTHON environments under tox, avoid
    poisoning the user’s global wheel cache.
  * Drop support for Python 2.6 and 3.2.
  * Add support for Python 3.5 and 3.6.
  * Fix issue 20: iteration of pure-Python BTrees.items(), and
    also creating a list from BTrees.items() on Python 3. The same
    applies for keys() and values().
  4.0.3:
  * Fix iteration over security proxies in Python 3 using the
    pure-Python implementation.
  4.0.2:
  * Fix compatibility with zope.proxy 4.1.5 under PyPy.
  * Fix the very first call to removeSecurityProxy returning
    incorrect results if given a proxy under PyPy.
  4.0.1:
  * Add support for Python 3.4.
- Split docs and tests into separate -doc package to avoid
  dependency loop and other zope-related problems, see
  (gh#/zopefoundation/zope.proxy#18)
- Converted to single-spec
* Tue Jul 30 2013 hpj@urpla.net
- don't ship *.c files
* Mon Jul 29 2013 hpj@urpla.net
- version 4.0.0: initial build
